Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface JMSDestCommonMBean

All Known Subinterfaces:
  JMSDestinationMBean, JMSQueueMBean, JMSTemplateMBean, JMSTopicMBean

public interface JMSDestCommonMBean
extends ConfigurationMBean, JMSConstants

This class represents a JMS template or destination.

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_ALL, ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, ACKNOWLEDGE_ONE, ACKNOWLEDGE_PREVIOUS, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, ENABLED_DEFAULT, ENABLED_FALSE, ENABLED_TRUE, ERRORDESTINATION, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, LOGGING, NO_DELIVERY, NON_PERSISTENT, NOTHING, PERSISTENT, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, RANDOM, ROUND_ROBIN, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, SYNCWRITE_CACHEFLUSH, SYNCWRITE_DIRECTWRITE, SYNCWRITE_DISABLED, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA`

Method Summary
`boolean` | `addDestinationKey(JMSDestinationKeyMBean destinationKey)` Add a destination key to the template or destination.
`long` | `getBytesMaximum()` Returns the value of BytesMaximum.
`long` | `getBytesThresholdHigh()` Returns the value of BytesThresholdHigh.
`long` | `getBytesThresholdLow()` Returns the value of BytesThresholdLow.
`java.lang.String` | `getDeliveryModeOverride()` Returns the DeliveryModeOverride value.
`JMSDestinationKeyMBean[]` | `getDestinationKeys()` Return a read-only array of the destination keys of the template or destination.
`JMSDestinationMBean` | `getErrorDestination()` Returns the ErrorDestination value for messages that have reach their redelivery limit.
`long` | `getMessagesMaximum()` Returns the value of MessagesMaximum.
`long` | `getMessagesThresholdHigh()` Returns the value of MessagesThresholdHigh.
`long` | `getMessagesThresholdLow()` Returns the value of MessagesThresholdLow.
`int` | `getPriorityOverride()` Returns the PriorityOverride value.
`long` | `getRedeliveryDelayOverride()` Returns the RedeliveryDelayOverride value in milliseconds before rolled back and recovered messages are redelivered.
`int` | `getRedeliveryLimit()` Returns the number of redelivery tries a message can have before it is placed in the error destination.
`java.lang.String` | `getTimeToDeliverOverride()` Returns the TimeToDeliver override value either in milliseconds or as a schedule.
`long` | `getTimeToLiveOverride()` Returns the TimeToLiveOverride value.
`boolean` | `removeDestinationKey(JMSDestinationKeyMBean destinationKey)` Remove a destination key from the template or destination.
`void` | `setBytesMaximum(long bytesMaximum)` Set the value of BytesMaximum.
`void` | `setBytesThresholdHigh(long bytesThresholdHigh)` Set the value of BytesThresholdHigh.
`void` | `setBytesThresholdLow(long bytesThresholdLow)` Set the value of BytesThresholdLow.
`void` | `setDeliveryModeOverride(java.lang.String deliveryModeOverride)` Sets the DeliveryModeOverride value.
`void` | `setDestinationKeys(JMSDestinationKeyMBean[] keys)` Set the list of potential destination keys for for sorting the messages that arrive on the template or destination.
`void` | `setErrorDestination(JMSDestinationMBean errorDestination)` Sets the ErrorDestination value for messages that have reached their redelivery limit.
`void` | `setMessagesMaximum(long messagesMaximum)` Set the value of MessagesMaximum.
`void` | `setMessagesThresholdHigh(long messagesThresholdHigh)` Set the value of MessagesThresholdHigh.
`void` | `setMessagesThresholdLow(long messagesThresholdLow)` Set the value of MessagesThresholdLow.
`void` | `setPriorityOverride(int priorityOverride)` Set the PriorityOverride value.
`void` | `setRedeliveryDelayOverride(long redeliveryDelayOverride)` Sets the RedeliveryDelayOverride value in milliseconds before rolled back or recovered messages are redelivered.
`void` | `setRedeliveryLimit(int redeliveryLimit)` Sets the number of redelivery tries a message can have before it is placed in the error destination.
`void` | `setTimeToDeliverOverride(java.lang.String timeToDeliverOverride)` Sets the TimeToDeliver override value either in milliseconds or as a schedule.
`void` | `setTimeToLiveOverride(long timeToLiveOverride)` Sets the TimeToLiveOverride value.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getDestinationKeys

    public JMSDestinationKeyMBean[] getDestinationKeys()

  Return a read-only array of the destination keys of the template or destination.

### addDestinationKey

    public boolean addDestinationKey(JMSDestinationKeyMBean destinationKey)

  Add a destination key to the template or destination.

  Parameters:
    `destinationKey` - a reference to JMSDestinationKeyMBean

### setDestinationKeys

    public void setDestinationKeys(JMSDestinationKeyMBean[] keys)
                            throws javax.management.InvalidAttributeValueException

  Set the list of potential destination keys for for sorting the messages that arrive on the template or destination.

  The keys are ordered from most significant to least significant. If more than one key is specified, a key based on the JMSMessageID can only be the last key in the list.

  Note: If JMSMessageID is not defined in the key, it is implicitly assumed to be the last key and is set as "Ascending" (FIFO) for the sort order.

  Legal Value: (weblogic.management.configuration.JMSLegalHelper.legalOrder(((weblogic.management.configuration.JMSDestCommonMBean)self).getDestinationKeys(), value))
  Parameters:
    `destinationKeys` - an array of JMSDestinationKeyMBean

### removeDestinationKey

    public boolean removeDestinationKey(JMSDestinationKeyMBean destinationKey)

  Remove a destination key from the template or destination.

  Parameters:
    `destinationKey` - a reference to JMSDestinationKeyMBean

### getBytesMaximum

    public long getBytesMaximum()

  Returns the value of BytesMaximum.

  The maximum number of bytes that may be stored in the destination. A value of -1 specifies that there is no limit on the number of bytes that can be stored in the destination.

  Note: If a JMS template is used for distributed destination members, then this setting applies only to those specific members and not the distributed destination set as a whole.

  Range of Values: >= BytesThresholdHigh

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

### setBytesMaximum

    public void setBytesMaximum(long bytesMaximum)
                         throws javax.management.InvalidAttributeValueException,
                                DistributedManagementException

  Set the value of BytesMaximum.

  The maximum number of bytes that may be stored in the destination. A value of -1 specifies that there is no limit on the number of bytes that can be stored in the destination.

  Note: If a JMS template is used for distributed destination members, then this setting applies only to those specific members and not the distributed destination set as a whole.

  Range of Values: >= BytesThresholdHigh

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((value >= 0) && (value >= ((weblogic.management.configuration.JMSDestCommonMBean)self).getBytesThresholdHigh()) && (value <= ((1 << 63) - 1)))
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Long.MAX_VALUE

### getBytesThresholdHigh

    public long getBytesThresholdHigh()

  Returns the value of BytesThresholdHigh.

  Upper threshold value that triggers events based on the number of bytes stored in the destination. If the number of bytes exceeds this threshold, the triggered events are:

  Log Messages - A message is logged on the server indicating a high threshold condition.

  Bytes Paging - If bytes paging is enabled (and a paging store has been configured), then destination-level bytes paging is started.

  Flow Control - If flow control is enabled, the destination becomes armed and instructs producers to begin decreasing their message flow.

  A value of -1 specifies that the value is not set and that bytes paging, flow control, and threshold log messages are disabled for the destination.

  Range of Values: <= BytesMaximum; >BytesThresholdLow

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

  Note: If bytes paging is enabled, it cannot be dynamically disabled by resetting the BytesThresholdHigh to -1, as this will cause an exception to be thrown. To dynamically disable paging, you could set the BytesThresholdHigh to a very large number, so that paging would not be triggered.

### setBytesThresholdHigh

    public void setBytesThresholdHigh(long bytesThresholdHigh)
                               throws javax.management.InvalidAttributeValueException,
                                      DistributedManagementException

  Set the value of BytesThresholdHigh.

  Upper threshold value that triggers events based on the number of bytes stored in the destination. If the number of bytes exceeds this threshold, the triggered events are:

  Log Messages - A message is logged on the server indicating a high threshold condition.

  Bytes Paging - If bytes paging is enabled (and a paging store has been configured), then destination-level bytes paging is started.

  Flow Control - If flow control is enabled, the destination becomes armed and instructs producers to begin decreasing their message flow.

  A value of -1 specifies that the value is not set and that bytes paging, flow control, and threshold log messages are disabled for the destination.

  Range of Values: <= BytesMaximum; >BytesThresholdLow

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

  Note: If bytes paging is enabled, it cannot be dynamically disabled by resetting the BytesThresholdHigh to -1, as this will cause an exception to be thrown. To dynamically disable paging, you could set the BytesThresholdHigh to a very large number, so that paging would not be triggered.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || (((( weblogic.management.configuration.JMSDestCommonMBean)self).getBytesThresholdLow() < value) && ((((weblogic.management.configuration.JMSDestCommonMBean)self).getBytesMaximum() == -1) || (value <= ((weblogic.management.configuration.JMSDestCommonMBean)self).getBytesMaximum())) && (value <= ((1 << 63) - 1)))
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Long.MAX_VALUE

### getBytesThresholdLow

    public long getBytesThresholdLow()

  Returns the value of BytesThresholdLow.

  Lower threshold value that triggers events based on the number of bytes stored in the destination. If the number of bytes falls below this threshold, the triggered events are:

  Log Messages - A message is logged on the server indicating that the threshold condition has cleared.

  Bytes Paging - If bytes paging is enabled, paging is stopped (if paging is occurring).

  Flow Control - If flow control is enabled, the destination becomes disarmed and instructs producers to begin increasing their message flow.

  A value of -1 specifies that the value is not set and that bytes paging, flow control, and threshold log messages are disabled for the destination.

  Range of Values: < BytesThresholdHigh

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

### setBytesThresholdLow

    public void setBytesThresholdLow(long bytesThresholdLow)
                              throws javax.management.InvalidAttributeValueException,
                                     DistributedManagementException

  Set the value of BytesThresholdLow.

  Lower threshold value that triggers events based on the number of bytes stored in the destination. If the number of bytes falls below this threshold, the triggered events are:

  Log Messages - A message is logged on the server indicating that the threshold condition has cleared.

  Bytes Paging - If bytes paging is enabled, paging is stopped (if paging is occurring).

  Flow Control - If flow control is enabled, the destination becomes disarmed and instructs producers to begin increasing their message flow.

  A value of -1 specifies that the value is not set and that bytes paging, flow control, and threshold log messages are disabled for the destination.

  Range of Values: < BytesThresholdHigh

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((0 <= value) && (((weblogic.management.configuration.JMSDestCommonMBean)self).getBytesThresholdHigh() == -1 || value < ((weblogic.management.configuration.JMSDestCommonMBean)self).getBytesThresholdHigh()) && (value <= ((1 << 63) - 1)))
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Long.MAX_VALUE

### getMessagesMaximum

    public long getMessagesMaximum()

  Returns the value of MessagesMaximum.

  The maximum number of messages that may be stored in the destination. A value of -1 specifies that there is no limit on the number of messages that can be stored in the destination.

  Note: If a JMS template is used for distributed destination members, then this setting applies only to those specific members and not the distributed destination set as a whole.

  Range of Values: >= MessagesThresholdHigh

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

### setMessagesMaximum

    public void setMessagesMaximum(long messagesMaximum)
                            throws javax.management.InvalidAttributeValueException,
                                   DistributedManagementException

  Set the value of MessagesMaximum.

  This value is the maximum number of messages that may be stored in the destination. A value of -1 specifies that there is no limit on the number of messages that can be stored in the destination.

  Note: If a JMS template is used for distributed destination members, then this setting applies only to those specific members and not the distributed destination set as a whole.

  Range of Values: >= MessagesThresholdHigh

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((value >= 0) && (value >= ((weblogic.management.configuration.JMSDestCommonMBean)self).getMessagesThresholdHigh()) && (value <= ((1 << 63) - 1)))
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Long.MAX_VALUE

### getMessagesThresholdHigh

    public long getMessagesThresholdHigh()

  Returns the value of MessagesThresholdHigh.

  Upper threshold value that triggers events based on the number of messages stored in the destination. If the number of messages exceeds this threshold, the triggered events are:

  Log Messages - A message is logged on the server indicating a high threshold condition.

  Messages Paging - If messages paging is enabled (and a paging store has been configured), then destination-level messages paging is started.

  Flow Control - If flow control is enabled, the destination becomes armed and instructs producers to begin decreasing their message flow.

  A value of -1 specifies that the value is not set and that messages paging, flow control, and threshold log messages are disabled for the destination.

  Range of Values: <= MessagesMaximum; >MessagesThresholdLow

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

  Note: If messages paging is enabled, it cannot be dynamically disabled by resetting the MessagesThresholdHigh to -1, as this will cause an exception to be thrown. To dynamically disable paging, you could set the MessagesThresholdHigh to a very large number, so that paging would not be triggered.

### setMessagesThresholdHigh

    public void setMessagesThresholdHigh(long messagesThresholdHigh)
                                  throws javax.management.InvalidAttributeValueException,
                                         DistributedManagementException

  Set the value of MessagesThresholdHigh.

  Upper threshold value that triggers events based on the number of messages stored in the destination. If the number of messages exceeds this threshold, the triggered events are:

  Log Messages - A message is logged on the server indicating a high threshold condition.

  Messages Paging - If messages paging is enabled (and a paging store has been configured), then destination-level messages paging is started.

  Flow Control - If flow control is enabled, the destination becomes armed and instructs producers to begin decreasing their message flow.

  A value of -1 specifies that the value is not set and that messages paging, flow control, and threshold log messages are disabled for the destination.

  Range of Values: <= MessagesMaximum; >MessagesThresholdLow

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

  Note: If messages paging is enabled, it cannot be dynamically disabled by resetting the MessagesThresholdHigh to -1, as this will cause an exception to be thrown. To dynamically disable paging, you could set the MessagesThresholdHigh to a very large number, so that paging would not be triggered.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((((weblogic.management.configuration.JMSDestCommonMBean)self).getMessagesThresholdLow() < value) && ((((weblogic.management.configuration.JMSDestCommonMBean)self).getMessagesMaximum() == -1) || (value <= ((weblogic.management.configuration.JMSDestCommonMBean)self).getMessagesMaximum())) && (value <= ((1 << 63) - 1)))
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Long.MAX_VALUE

### getMessagesThresholdLow

    public long getMessagesThresholdLow()

  Returns the value of MessagesThresholdLow.

  Lower threshold value that triggers events based on the number of messages stored in the destination. If the number of messages falls below this threshold, the triggered events are:

  Log Messages - A message is logged on the server indicating that the threshold condition has cleared.

  Messages Paging - If messages paging is enabled, paging is stopped (if paging is occurring).

  Flow Control - If flow control is enabled, the destination becomes disarmed and instructs producers to begin increasing their message flow.

  A value of -1 specifies that the value is not set and that messages paging, flow control, and threshold log messages are disabled for the destination.

  Range of Values: < MessagesThresholdHigh

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

### setMessagesThresholdLow

    public void setMessagesThresholdLow(long messagesThresholdLow)
                                 throws javax.management.InvalidAttributeValueException,
                                        DistributedManagementException

  Set the value of MessagesThresholdLow.

  Lower threshold value that triggers events based on the number of messages stored in the destination. If the number of messages falls below this threshold, the triggered events are:

  Log Messages - A message is logged on the server indicating that the threshold condition has cleared.

  Messages Paging - If messages paging is enabled, paging is stopped (if paging is occurring).

  Flow Control - If flow control is enabled, the destination becomes disarmed and instructs producers to begin increasing their message flow.

  A value of -1 specifies that the value is not set and that messages paging, flow control, and threshold log messages are disabled for the destination.

  Range of Values: < MessagesThresholdHigh

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((0 <= value) && (((weblogic.management.configuration.JMSDestCommonMBean)self).getMessagesThresholdHigh() == -1 || value < ((weblogic.management.configuration.JMSDestCommonMBean)self).getMessagesThresholdHigh()) && (value <= ((1 << 63) -1)))
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Long.MAX_VALUE

### getPriorityOverride

    public int getPriorityOverride()

  Returns the PriorityOverride value.

  This value is the priority assigned to all messages that arrive at the destination, regardless of the Priority specified by the message producer.

  The default value (-1) specifies that the destination will not override the Priority setting.

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

### setPriorityOverride

    public void setPriorityOverride(int priorityOverride)
                             throws javax.management.InvalidAttributeValueException,
                                    DistributedManagementException

  Set the PriorityOverride value.

  This value is the priority assigned to all messages that arrive at the destination regardless of the Priority specified by the message producer.

  The default value (-1) specifies that the destination will not override the Priority setting.

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1) || ((weblogic.management.configuration.JMSConstants.PRIORITY_MINIMUM <= value) && (value <= weblogic.management.configuration.JMSConstants.PRIORITY_MAXIMUM))
  Legal Minimum Value: -1
  Legal Maximum Value: weblogic.management.configuration.JMSConstants.PRIORITY_MAXIMUM

### getTimeToDeliverOverride

    public java.lang.String getTimeToDeliverOverride()

  Returns the TimeToDeliver override value either in milliseconds or as a schedule.

  Defines the default delay, in milliseconds, between when a message is produced and when it is made visible on its target destination, regardless of the delivery time specified by the producer and/or connection factory.

  The default value (-1) specifies that the destination will not override the TimeToDeliver setting. The TimeToDeliverOverride can be specified either as a long or as a schedule.

  Note: Changing the TimeToDeliverOverride only affects future message delivery, it does not affect message delivery of already produced messages.

  See Also:
    `Schedule`

### setTimeToDeliverOverride

    public void setTimeToDeliverOverride(java.lang.String timeToDeliverOverride)
                                  throws javax.management.InvalidAttributeValueException,
                                         DistributedManagementException

  Sets the TimeToDeliver override value either in milliseconds or as a schedule.

  Defines the default delay, in milliseconds, between when a message is produced and when it is made visible on its target destination, regardless of the TimeToDeliver specified by the producer and/or connection factory.

  The default value (-1) specifies that the destination will not override the TimeToDeliver setting. The TimeToDeliverOverride can be specified either as a long or as a schedule.

  Note: Changing the TimeToDeliverOverride only affects future message delivery, it does not affect message delivery of already produced messages.

  A dynamic MBean attribute
  Default Value: "-1"
  Legal Value: (weblogic.management.configuration.JMSLegalHelper.legalTimeToDeliverOverride(value))
  See Also:
    `Schedule`

### getRedeliveryDelayOverride

    public long getRedeliveryDelayOverride()

  Returns the RedeliveryDelayOverride value in milliseconds before rolled back and recovered messages are redelivered.

  Defines the delay, in milliseconds, before rolled back or recovered messages are redelivered, regardless of the RedeliveryDelay specified by the consumer and/or connection factory.

  The default value (-1) specifies that the destination will not override the RedeliveryDelay setting.

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

### setRedeliveryDelayOverride

    public void setRedeliveryDelayOverride(long redeliveryDelayOverride)
                                    throws javax.management.InvalidAttributeValueException,
                                           DistributedManagementException

  Sets the RedeliveryDelayOverride value in milliseconds before rolled back or recovered messages are redelivered.

  Defines the delay, in milliseconds, before rolled back or recovered messages are redelivered, regardless of the RedeliveryDelay specified by the consumer and/or connection factory. Redelivered queue messages are put back into their originating destination; redelivered topic messages are put back into their originating subscription.

  The default value (-1) specifies that the destination will not override the RedeliveryDelay setting.

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

  Note: Changing the RedeliveryDelayOverride only affects future rollbacks and recovers, it does not affect rollbacks and recovers that have already occurred.

  A dynamic MBean attribute
  Default Value: -1
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Long.MAX_VALUE

### getRedeliveryLimit

    public int getRedeliveryLimit()

  Returns the number of redelivery tries a message can have before it is placed in the error destination.

  Depending on whether an error destination is configured, the following occurs when the redelivery limit is reached:

  - If no error destination is configured, or the quota for the error destination would be exceeded, then persistent and non-persistent messages are simply dropped.

  - If an error destination is configured and the error destination is at quota, then an error message is logged and the message is dropped. However, if the message is persistent, it remains in the persistent store. This ensures that a persistent message will be redelivered when WebLogic Server is rebooted.

  The default value (-1) specifies that the destination will not override the RedeliveryLimit setting.

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

  Note: Changing the RedeliveryLimit does not affect messages that have already reached this limit. The next time such messages are redelivered, they will immediately be redirected to the error destination. The number of times of message has been redelivered is not persisted. This means that after a restart the number of delivery attempts on each message is reset to zero.

### setErrorDestination

    public void setErrorDestination(JMSDestinationMBean errorDestination)
                             throws javax.management.InvalidAttributeValueException,
                                    DistributedManagementException

  Sets the ErrorDestination value for messages that have reached their redelivery limit.

  Defines the name of the target destination for messages that have reached their redelivery limit. If no error destination is configured, then such messages are simply dropped.

  Note: The error destination must be a destination that is configured on the local JMS server.

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

  A dynamic MBean attribute
  Default Value: null
  Legal Value: ((value == void)?(true):(weblogic.management.configuration.JMSLegalHelper.legalErrorDestination(self, value)))
  Secure Value: null

### getErrorDestination

    public JMSDestinationMBean getErrorDestination()

  Returns the ErrorDestination value for messages that have reach their redelivery limit.

  Defines the name of the target destination for messages that have reached their redelivery limit. If no error destination is configured, then such messages are simply dropped.

  Note: The error destination must be a destination that is configured on the local JMS server.

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

### setRedeliveryLimit

    public void setRedeliveryLimit(int redeliveryLimit)
                            throws javax.management.InvalidAttributeValueException,
                                   DistributedManagementException

  Sets the number of redelivery tries a message can have before it is placed in the error destination.

  Depending on whether an error destination is configured, the following occurs when the redelivery limit is reached:

  - If no error destination is configured, or the quota for the error destination would be exceeded, then persistent and non-persistent messages are simply dropped.

  - If an error destination is configured and the error destination is at quota, then an error message is logged and the message is dropped. However, if the message is persistent, it remains in the persistent store. This ensures that a persistent message will be redelivered when WebLogic Server is rebooted.

  The default value (-1) specifies that the destination will not override the RedeliveryLimit setting.

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

  Note: Changing the RedeliveryLimit does not affect messages that have already reached this limit. The next time such messages are redelivered, they will immediately be redirected to the error destination. The number of times of message has been redelivered is not persisted. This means that after a restart the number of delivery attempts on each message is reset to zero. A value of -1 indicates there is no limit on the number of redelivery attempts.

  A dynamic MBean attribute
  Default Value: -1
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Long.MAX_VALUE

### getTimeToLiveOverride

    public long getTimeToLiveOverride()

  Returns the TimeToLiveOverride value.

  Defines the TimeToLive value assigned to all messages that arrive at the destination, regardless of the TimeToLive specified by the message producer.

  The default value (-1) specifies that the destination will not override the TimeToLive setting.

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

### setTimeToLiveOverride

    public void setTimeToLiveOverride(long timeToLiveOverride)
                               throws javax.management.InvalidAttributeValueException,
                                      DistributedManagementException

  Sets the TimeToLiveOverride value.

  Defines the TimeToLive value assigned to all messages that arrive at the destination, regardless of the TimeToLive specified by the message producer.

  The default value (-1) specifies that the destination will not override the TimeToLive setting.

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

  A dynamic MBean attribute
  Default Value: -1
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Long.MAX_VALUE

### getDeliveryModeOverride

    public java.lang.String getDeliveryModeOverride()

  Returns the DeliveryModeOverride value.

  The delivery mode assigned to all messages that arrive at the destination regardless of the DeliveryMode specified by the message producer.

  A value of `No-Delivery` specifies that the DeliveryMode will not be overridden.

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

### setDeliveryModeOverride

    public void setDeliveryModeOverride(java.lang.String deliveryModeOverride)
                                 throws javax.management.InvalidAttributeValueException,
                                        DistributedManagementException

  Sets the DeliveryModeOverride value.

  The delivery mode assigned to all messages that arrive at the destination regardless of the DeliveryMode specified by the message producer.

  A value of `No-Delivery` specifies that the DeliveryMode will not be overridden.

  This attribute is dynamically configurable, but only incoming messages are impacted; stored messages are not impacted.

  A dynamic MBean attribute
  Default Value: weblogic.management.configuration.JMSConstants.NO_DELIVERY
  Legal Values: weblogic.management.configuration.JMSConstants.PERSISTENT,weblogic.management.configuration.JMSConstants.NON_PERSISTENT,weblogic.management.configuration.JMSConstants.NO_DELIVERY

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference